local ActGhostreconSettingTemplate = BaseClass("ActGhostreconSettingTemplate")
local __init = function(self)
  self.lvInterval = {}
  self.maxTaskQueue = 0
  self.teamworkCount = 0
  self.stealCount = 0
end
local __delete = function(self)
  self.lvInterval = nil
  self.maxTaskQueue = nil
  self.teamworkCount = nil
  self.stealCount = nil
end
local InitData = function(self, cfg)
  local lvInterval = string.split(cfg.baselv, "-")
  self.lvInterval[1] = tonumber(lvInterval[1])
  self.lvInterval[2] = tonumber(lvInterval[2])
  self.maxTaskQueue = cfg.max_taskQueue
  self.teamworkCount = cfg.teamwork_count
  self.stealCount = cfg.steal_count
end
local CheckInInterval = function(self)
  local mainlv = DataCenter.BuildManager.MainLv
  return mainlv >= self.lvInterval[1] and mainlv <= self.lvInterval[2]
end
ActGhostreconSettingTemplate.__init = __init
ActGhostreconSettingTemplate.__delete = __delete
ActGhostreconSettingTemplate.InitData = InitData
ActGhostreconSettingTemplate.CheckInInterval = CheckInInterval
return ActGhostreconSettingTemplate
